<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="utf-8" />
    <link id="stylesheet" href="./index.css" rel="stylesheet" />
    <link
      rel="stylesheet"
      href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.2.0/css/all.min.css"
      integrity="sha512-xh6O/CkQoPOWDdYTDqeRdPCVd1SpvCA9XXcUnZS2FmJNp1coAFzvtCN9BmamE+4aHK8yyUHUSCcJHgXloTyT2A=="
      crossorigin="anonymous"
      referrerpolicy="no-referrer"
    />
  </head>
  <body>
    <div id="root" class="box">
      <div class="left-column">
        <!-- <div><img src="./avatar.webp" width="100%" /></div> -->

        <div class="profile block">
          <div class="title secondary bordered pdh-5">profil</div>

          <div class="pdv-10">
            <div class="title">adresse</div>
            <div>Bougival</div>
          </div>

          <div class="pdv-10">
            <div class="title">e-mail</div>
            <div>quentin.sahal@gmail.com</div>
          </div>

          <div class="pdv-10">
            <div class="title">date de naissance</div>
            <div>10/06/1991</div>
          </div>

          <div class="pdv-10">
            <div class="title">Github</div>
            <div>Quentin1006</div>
          </div>

          <div class="pdv-10">
            <div class="title">téléphone</div>
            <div>06 51 10 19 92</div>
          </div>
        </div>

        <div class="skills block">
          <div class="title secondary bordered pdh-5">compétences</div>

          <div class="box pdv-10">
            <div class="title pdv-5">stacks</div>
            <div>
              NodeJS, Typescript, Javascript, Serverless, Express, React,
              ReactQuery, Mobx, Jest, NextJS, NestJS, Nginx, OpenAPI, Directus,
              HTML5, CSS3
            </div>
          </div>

          <div class="box pdv-10">
            <div class="title pdv-5">platforms</div>
            AWS Cloud, AWS Lambda, Docker, Kubernetes, Openshift, Linux
          </div>

          <div class="box pdv-10">
            <div class="title pdv-5">data</div>
            MySQL, PostgreSQL, Redis, DynamoDB, TypeORM, GraphQL
          </div>

          <div class="box pdv-10">
            <div class="title pdv-5">tooling</div>
            Gitlab-ci, git, Cloudformation, Webpack, Ansible, npm, yarn, Kibana
          </div>

          <div class="box pdv-10">
            <div class="title pdv-5">patterns</div>
            Microfrontends, Microservices, Oauth2, Monorepos, SSR, SSG
          </div>

          <!-- Exemple avec des stars -->
          <!--  <div class="box pdv-10">
            <div class="size-6">NestJS</div>
            <div class="size-6 stars">
              <i class="fa-solid fa-star"></i>
              <i class="fa-solid fa-star"></i>
              <i class="fa-solid fa-star"></i>
              <i class="fa-regular fa-star-half-stroke"></i>
              <i class="fa-regular fa-star"></i>
            </div>
          </div> -->
        </div>

        <div class="languages block">
          <div class="title secondary bordered pdh-5">langues</div>
          <div class="box pdv-10">
            <div class="size-6">Francais</div>
            <div class="size-6 bold">Maternelle</div>
          </div>
          <div class="box">
            <div class="size-6">Anglais</div>
            <div class="size-6 bold">Courant (C1)</div>
          </div>
        </div>
      </div>
      <div class="right-column">
        <div class="header box">
          <div class="whoami">quentin sahal</div>
          <div class="role">Développeur Fullstack</div>
        </div>
        <div class="container">
          <div class="intro">
            Développeur Fullstack avec 7 ans d'expérience. Suite à des études en
            Génie Civil, j’ai commencé à développer sur mon temps libre, séduit
            par le monde de l'informatique j’ai décidé de basculer complètement
            dans cette voie.
          </div>

          <div>
            <div class="title bordered pdh-5">expériences professionnelles</div>
            <div class="pdv-10 box">
              <div class="subtitle">
                <span class="period">2019 - Auj</span> | Développeur Fullstack |
                Bouygues Télecom
              </div>
              <ul class="job-details">
                <li>
                  Développement d'APIs NodeJS documentées par swaggers,
                  hébergées sur le cloud AWS, basées sur une stack API Gateway -
                  Lambda avec gestion de cache via DynamoDB servant près de 700
                  000 de requêtes par jour. Toutes les stacks étant écrites en
                  IaC avec Cloudformation
                </li>
                <li>
                  Transformation de l'architecture front monolithique vers une
                  architecture de type Microfrontends pour permettre de
                  s'affranchir de la dette technique existante et également
                  permettre la création de feature teams et gagner en agilité
                </li>
                <li>
                  Création d'un client oauth2 pour implémenter et orchestrer les
                  actions de connexion des différents microfrontends
                </li>
                <li>
                  Développement de parcours en React sur l'Espace Client Web et
                  React-Native sur l'Espace Client Mobile
                </li>
              </ul>
            </div>

            <div class="pdv-10 box">
              <div class="subtitle">
                <span class="period">2016 - 2018</span> | Concepteur Développeur
                Freelance d'un Automate Financier | En collaboration avec
                Jean-Pierre Talvard (co-fondateur de la société Parrot)
              </div>
              <ul class="job-details">
                <li>
                  Récupération de cours de devises sur 15 années par "web
                  scraping" pour constituter une base de données solide
                  permettant la simulation des différentes stratégies
                  Vérification de l'intégrité des données et de leur
                  compatibilité avec le broker retenu
                </li>
                <li>
                  Conception d'un simulateur en C pour évaluer la performance
                  des différentes stratégies de trading élaborées
                </li>
                <li>
                  Mise en place d'un site web (NodeJS, JS) de consultation en
                  temps réel des résultats des stratégies testées sur le broker
                  retenu
                </li>
              </ul>
            </div>

            <div class="pdv-10 box">
              <div class="subtitle">
                <span class="period">2015 - 2016</span> | Développeur Front-End
                Freelance | AMFine (Société informatique spécialisée en finance)
              </div>
              <ul class="job-details">
                <li>
                  Mise en place d'un dashboard hautement flexible et contrôlable
                  par le client final
                </li>
                <li>Optimisation des communications client-server</li>
              </ul>
            </div>
          </div>

          <div>
            <div class="title bordered pdh-5">Formation</div>

            <div class="pdv-10 box">
              <div class="subtitle">
                <span class="period">2013 - Auj</span> | Veille Technologique
              </div>
              <ul class="job-details">
                <li>
                  Cours en ligne : Coursera, Udemy, Medium, React Status, Node
                  Weekly
                </li>
              </ul>
            </div>

            <div class="pdv-10 box">
              <div class="subtitle">
                <span class="period">2010 - 2013</span> | Bachelor en Génie
                Civil | Ecole Polytechnique Fédérale de Lausanne (EPFL)
              </div>
              <ul class="job-details">
                <li>Année d'échange à Chalmers University Goteborg, Suède</li>
                <li>Assistant en mathématiques et physique</li>
              </ul>
            </div>

            <div class="pdv-10 box">
              <div class="subtitle">
                <span class="period">2009- 2010</span> | Prepa MPSI | Lycée
                Charlemagne
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
    <a href="#" class="print"><i class="fa-solid fa-print"></i></a>

    <script>
      function printCV() {
        const oldMargin = document.body.style.margin;
        document.body.style.margin = "0 auto";
        printButton.hidden = true;
        window.print();

        // reset to previous state
        document.body.style.margin = oldMargin;
        printButton.hidden = false;
      }

      const printButton = document.querySelector(".print");

      printButton.addEventListener("click", async (e) => {
        e.preventDefault();
        // const resp = await fetch("/api/download");
        // const data = await resp.json();
        // console.log({ data });
        printCV();
      });
    </script>
  </body>
</html>
